using CvMatcher.Models.Responses;
using Models.Requests;
using Refit;

namespace Api.Clients.Api.Contracts;

public interface ICvMatcherApi
{
    [Multipart]
    [Post("/api/cv/upload")]
    Task<CvUploadResponse> Upload([AliasAs("file")] StreamPart file, CancellationToken ct);

    [Post("/api/cv/match-job")]
    Task<JobMatchResponse> MatchJob([Body] JobMatchRequest request, CancellationToken ct);
}
